<?php

namespace App\Imports;

use App\Models\Department;
use App\Models\JobTitle;
use App\Models\KPI;
use App\Models\KPISQuestion;
use App\Models\User;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Hash;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithChunkReading;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class KPISImport  implements ToModel, WithChunkReading,WithHeadingRow
{
    private $match_columns;
    public function __construct($match_columns=[])
    {
        $this->match_columns=$match_columns;
    }

    /**
    * @param Collection $collection
    */
    public function model(array $row)
    {
        //
        if(!$this->match_columns){
            $department_id=0;
            $job_title_id=0;
            if($row['department']){
                if(!$department=Department::where('title',$row['department'])->first()){
                    $department=Department::create([
                        'title'=>$row['department'],
                    ]);
                }
                $department_id=$department->id;
            }
            if($row['job_title']){
                if(!$jobTitle=JobTitle::where('title',$row['job_title'])->first()){
                    $jobTitle=JobTitle::create([
                        'title'=>$row['job_title'],
                    ]);
                }
                $job_title_id=$jobTitle->id;
            }
            $arr=['department_id'=>$department_id,'job_title_id'=>$job_title_id];
            if(!$kpi=KPI::where($arr)->first()){
                $kpi=KPI::create(array_merge($arr,['status'=>'published']));
            }
            $kpi_id=$kpi->id;
            $createData=[
                'kpi_id'=>$kpi_id,
                'question'=>$row['question'],
            ];
            if($kpiQuestion=KPISQuestion::where($createData)->first()){
                KPISQuestion::where('id',$kpiQuestion->id)->update(array_merge($createData,['weight'=>$row['whight'],]));
            }else{
                KPISQuestion::create(array_merge($createData,['weight'=>$row['whight'],'status'=>'published',]));
            }

        }

    }
    public function chunkSize(): int
    {
        return 1000;
    }
}
