<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('monitorings', function (Blueprint $table) {
            $table->id();
            $table->string('extinction')->nullable();
            $table->integer('agent_id')->default(0);
            $table->integer('team_leader_id')->default(0);
            $table->integer('supervisor_id')->default(0);
            $table->integer('project_id')->default(0);
            $table->string('customer_number')->nullable();
            $table->timestamp('call_at')->nullable();
            $table->timestamp('monitored_at')->nullable();
            $table->integer('monitored_type_id')->default(0);
            $table->integer('end_user_critical')->default(0);
            $table->integer('business_critical')->default(0);
            $table->integer('non_critical')->default(0);
            $table->enum('call_status',['failed','pass'])->default('failed');
            $table->text('comment')->nullable();
            $table->integer('updated_by')->default(0);
            $table->integer('created_by')->default(0);
            $table->integer('deleted_by')->default(0);
            $table->softDeletes();
            $table->timestamps();
            $table->index('id','id_index');
            $table->index('agent_id','agent_id_index');
            $table->index('team_leader_id','team_leader_id_index');
            $table->index('supervisor_id','supervisor_id_index');
            $table->index('project_id','project_id_index');
            $table->index('monitored_type_id','monitored_type_id_index');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('monitorings');
    }
};
