@extends('dashboard.layouts.app')
@push('headScripts')
@endpush
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">{{ __('Monitoring Questions') }} /</span> <a href="{{ route('monitoring_questions.index') }}" class="text-muted fw-light">{{ __('Monitoring Questions') }} /</a> {{ (isset($monitoring_question))?__('Edit :question',['question'=>$monitoring_question->name]):__('Create') }}</h4>
        <div class="row">
            <div class="col-md-12">
                <div class="card mb-4">
                    <h5 class="card-header">{{ (isset($monitoring_question))?__('Edit :question',['question'=>$monitoring_question->name]):__('Create') }}</h5>
                    <form method="POST" action="{{ isset($monitoring_question)?route('monitoring_questions.update',['monitoring_question'=>$monitoring_question]):route('monitoring_questions.store') }}" enctype="multipart/form-data">
                        @if(isset($monitoring_question))
                            @method('PUT')
                        @endif
                        @csrf
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label">{{ __('Type') }}</label>
                                    <select class="select2 @error('type') is-invalid @enderror" data-placeholder="{{ __('Select :type',['type'=>__('Type')]) }}" name="type">
                                        <option value="">{{ __('Select :type',['type'=>__('Type')]) }}</option>
                                        @foreach(config('app.monitoringQuestionsTypes') as $type)
                                            <option @if((isset($monitoring_question)&&$monitoring_question->type==$type)||old('type')==$type) selected="selected" @endif value="{{ $type }}">{{ __(ucwords(str_replace('_',' ',$type))) }}</option>
                                        @endforeach
                                    </select>
                                    @error('type')
                                    <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="form-group col-lg-12 mb-3">
                                    <label class="form-label">{{ __('Name') }}</label>
                                    <input type="text" class="form-control @error('name') is-invalid @enderror border-left-0" name="name" id="name" value="{{ isset($monitoring_question)?$monitoring_question->name:old('name') }}" placeholder="{{ __('Enter :value',['value'=>__('Monitoring Question Name')]) }}">
                                    @error('name')
                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                    @enderror

                                </div>
                                <div class="btn-group" role="group" aria-label="Basic radio toggle button group">
                                    @foreach(config('app.statusArray') as $key=>$status)
                                    <input type="radio" class="btn-check" name="status" id="status-{{ $key+1 }}" {{ (isset($monitoring_question)&&$monitoring_question->status==$status)||(old('status')&&old('status')==$status)||(!isset($monitoring_question)&&!old('status')&&$status==config('app.defaultStatusSelected'))?'checked':'' }} value="{{ $status }}"  autocomplete="off">
                                        <label class="btn btn-outline-{{ config('app.statusButtonClass')[$status] }}" for="status-{{ $key+1 }}">{{ ucfirst($status) }}</label>
                                    @endforeach

                                </div>
                                @error('status')
                                <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                @enderror
                            </div>
                        </div>
                        <div class="text-center mt-3">
                            <button type="submit" class="btn btn-danger px-5">{{ __('Save') }}</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
@endsection

@push('footerScripts')
    <script src="{{ asset('js/permissions_table.js') }}"></script>
@endpush
